IPSW-DOWNLOAD-KDK(1)

NAME
ipsw-download-kdk - Download KDKs

SYNOPSIS
ipsw download kdk [flags]

DESCRIPTION
Download KDKs

OPTIONS
-a, --all[=false]
    Download all KDKs

-b, --build=""
    Download KDK for build

-h, --help[=false]
    help for kdk

--host[=false]
    Download KDK for current host OS

--insecure[=false]
    do not verify ssl certs

-i, --install[=false]
    Install KDK after download

-l, --latest[=false]
    Download latest KDK

-o, --output=""
    Folder to download files to

--proxy=""
    HTTP/HTTPS proxy

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Download KDK for current host OS
    ❯ ipsw download kdk --host
    # Download KDK for specific build
    ❯ ipsw download kdk --build 20G75
    # Download latest KDK and install
    ❯ ipsw download kdk --latest --install
    # Download all available KDKs
    ❯ ipsw download kdk --all

SEE ALSO
ipsw-download(1)

HISTORY
10-Jul-2025 Auto generated by spf13/cobra